Skip to main content
GET
/
projects
/
{projectId}
/
settings
Get list of project settings
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{projectId}/settings \
  --header 'Authorization: Bearer <token>'
{
  "initialize": {},
  "product_name": "<string>",
  "product_code": "<string>",
  "ui_uri_template": "<string>",
  "variables_prefix": "<string>",
  "bot_email": "<string>",
  "application_config_file": "<string>",
  "project_config_dir": "<string>",
  "use_drupal_defaults": true,
  "use_legacy_subdomains": true,
  "development_service_size": "2XL",
  "development_application_size": "2XL",
  "enable_certificate_provisioning": true,
  "certificate_style": "ecdsa",
  "certificate_renewal_activity": true,
  "development_domain_template": "<string>",
  "enable_state_api_deployments": true,
  "temporary_disk_size": 123,
  "local_disk_size": 123,
  "cron_minimum_interval": 123,
  "cron_maximum_jitter": 123,
  "cron_production_expiry_interval": 123,
  "cron_non_production_expiry_interval": 123,
  "concurrency_limits": {},
  "flexible_build_cache": true,
  "strict_configuration": true,
  "has_sleepy_crons": true,
  "crons_in_git": true,
  "custom_error_template": "<string>",
  "app_error_page_template": "<string>",
  "environment_name_strategy": "hash",
  "data_retention": {},
  "enable_codesource_integration_push": true,
  "enforce_mfa": true,
  "systemd": true,
  "router_gen2": true,
  "build_resources": {
    "cpu": 123,
    "memory": 123
  },
  "outbound_restrictions_default_policy": "allow",
  "self_upgrade": true,
  "self_upgrade_latest_major": true,
  "additional_hosts": {},
  "max_allowed_routes": 123,
  "max_allowed_redirects_paths": 123,
  "enable_incremental_backups": true,
  "sizing_api_enabled": true,
  "enable_cache_grace_period": true,
  "enable_zero_downtime_deployments": true,
  "enable_admin_agent": true,
  "certifier_url": "<string>",
  "centralized_permissions": true,
  "glue_server_max_request_size": 123,
  "persistent_endpoints_ssh": true,
  "persistent_endpoints_ssl_certificates": true,
  "enable_disk_health_monitoring": true,
  "enable_paused_environments": true,
  "enable_unified_configuration": true,
  "enable_routes_tracing": true,
  "image_deployment_validation": true,
  "support_generic_images": true,
  "enable_github_app_token_exchange": true,
  "continuous_profiling": {
    "supported_runtimes": [
      "<string>"
    ]
  },
  "disable_agent_error_reporter": true,
  "requires_domain_ownership": true,
  "enable_guaranteed_resources": true,
  "git_server": {
    "push_size_hard_limit": 123
  },
  "activity_logs_max_size": 123,
  "allow_manual_deployments": true,
  "allow_rolling_deployments": true,
  "allow_burst": true,
  "router_resources": {
    "baseline_cpu": 123,
    "baseline_memory": 123,
    "max_cpu": 123,
    "max_memory": 123
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required

Response

default - application/json
initialize
Initialization key · object
required
product_name
string
required

The name of the product.

product_code
string
required

The lowercase ASCII code of the product.

ui_uri_template
string
required

The template of the project UI uri

variables_prefix
string
required

The prefix of the generated environment variables.

bot_email
string
required

The email of the bot.

application_config_file
string
required

The name of the application-specific configuration file.

project_config_dir
string
required

The name of the project configuration directory.

use_drupal_defaults
boolean
required

Whether to use the default Drupal-centric configuration files when missing from the repository.

use_legacy_subdomains
boolean
required

Whether to use legacy subdomain scheme, that replaces . by --- in development subdomains.

development_service_size
enum<string>
required

The size of development services.

Available options:
2XL,
4XL,
L,
M,
S,
XL
development_application_size
enum<string>
required

The size of development applications.

Available options:
2XL,
4XL,
L,
M,
S,
XL
enable_certificate_provisioning
boolean
required

Enable automatic certificate provisioning.

certificate_style
enum<string>
required
Available options:
ecdsa,
rsa
certificate_renewal_activity
boolean
required

Create an activity for certificate renewal

development_domain_template
string | null
required

The template of the development domain, can include {project} and {environment} placeholders.

enable_state_api_deployments
boolean
required

Enable the State API-driven deployments on regions that support them.

temporary_disk_size
integer | null
required

Set the size of the temporary disk (/tmp, in MB).

local_disk_size
integer | null
required

Set the size of the instance disk (in MB).

cron_minimum_interval
integer
required

Minimum interval between cron runs (in minutes)

cron_maximum_jitter
integer
required

Maximum jitter inserted in cron runs (in minutes)

cron_production_expiry_interval
integer
required

The interval (in days) for which cron activity and logs are kept around

cron_non_production_expiry_interval
integer
required

The interval (in days) for which cron activity and logs are kept around

concurrency_limits
Concurrency Limits · object
required

The concurrency limits applied to different kind of activities

flexible_build_cache
boolean
required

Enable the flexible build cache implementation

strict_configuration
boolean
required

Strict configuration validation.

has_sleepy_crons
boolean
required
crons_in_git
boolean
required
custom_error_template
string | null
required

Custom error template for the router.

app_error_page_template
string | null
required

Custom error template for the application.

environment_name_strategy
enum<string>
required

The strategy used to generate environment machine names

Available options:
hash,
name-and-hash
data_retention
Data retention configuration · object
required

Data retention configuration

enable_codesource_integration_push
boolean
required

Enable pushing commits to codesource integration.

enforce_mfa
boolean
required

Enforce multi-factor authentication.

systemd
boolean
required

Use systemd images.

router_gen2
boolean
required

Use the router v2 image.

build_resources
Build Resources · object
required
outbound_restrictions_default_policy
enum<string>
required

The default policy for firewall outbound restrictions

Available options:
allow,
deny
self_upgrade
boolean
required

Whether self-upgrades are enabled

self_upgrade_latest_major
boolean
required
additional_hosts
Additional Hosts · object
required

A mapping of hostname to ip address to be added to the container's hosts file

max_allowed_routes
integer
required

Maximum number of routes allowed

max_allowed_redirects_paths
integer
required

Maximum number of redirect paths allowed

enable_incremental_backups
boolean
required

Enable incremental backups on regions that support them.

sizing_api_enabled
boolean
required

Enable sizing api.

enable_cache_grace_period
boolean
required

Enable cache grace period.

enable_zero_downtime_deployments
boolean
required

Enable zero-downtime deployments for resource-only changes.

enable_admin_agent
boolean
required
certifier_url
string
required

The certifier url

centralized_permissions
boolean
required

Whether centralized permissions are enabled

glue_server_max_request_size
integer
required

Maximum size of request to glue-server (in MB)

persistent_endpoints_ssh
boolean
required

Enable SSH access update with persistent endpoint

persistent_endpoints_ssl_certificates
boolean
required

Enable SSL certificate update with persistent endpoint

enable_disk_health_monitoring
boolean
required
enable_paused_environments
boolean
required
enable_unified_configuration
boolean
required
enable_routes_tracing
boolean
required

Enable tracing support in routes

image_deployment_validation
boolean
required

Enable extended deployment validation by images

support_generic_images
boolean
required
enable_github_app_token_exchange
boolean
required

Enable fetching the GitHub App token from SIA.

continuous_profiling
Continuous profiling configuration · object
required

The continuous profiling configuration

disable_agent_error_reporter
boolean
required
requires_domain_ownership
boolean
required

Require ownership proof before domains are added to environments.

enable_guaranteed_resources
boolean
required

Enable guaranteed resources feature

git_server
Git Server configuration · object
required
activity_logs_max_size
integer
required

The maximum size of activity logs in bytes. This limit is applied on the pre-compressed log size.

allow_manual_deployments
boolean
required

If deployments can be manual, i.e. explicitly triggered by user.

allow_rolling_deployments
boolean
required

If the project can use rolling deployments.

allow_burst
boolean
required
router_resources
Router Resources · object
required

Router resource settings for flex plan